Product Catalog Categories
Updated: May 18, 2019
Copy for LLM
Reading
Categories and associated assets within given product catalog.
Example
GET /v25.0/{product-catalog-id}/categories HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
categorization_criteriaenum {BRAND, CATEGORY, PRODUCT_TYPE} |
Product property used to define categories
required |
filterA JSON-encoded rule |
SELF_EXPLANATORY
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of ProductCatalogCategory nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
/{product_catalog_id}/categories
You can make a POST request to categories edge from the following paths:
When posting to this edge, a ProductCatalogCategory will be created.
Parameters
| Parameter | Description |
|---|---|
datalist<JSON object> |
Array of category specifications
required categorization_criteria enum {BRAND, CATEGORY, PRODUCT_TYPE}required criteria_value stringrequired name UTF-8 stringsupports emoji description UTF-8 stringsupports emoji destination_uri URLimage_url URLtokens JSON object {string : string}Show child parameters |
Return Type
Struct {
updated: integer,
skipped: integer,
total: integer,
details: Map {
string: List [ Map {
string: string}]},
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.